#############################################################################
#
# LOGREP - Logfile Extraction And Reporting System                          
# Copyright (C) 2002 Tevfik Karaglle                                   
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
#
#############################################################################

#################3
#
# init.pl - initializes directory structure for logrep
#
# v1.1 - Support for Logrep server on Linux, oct 2002, TK
# v1.0 - initial version, jun 2002, Tevfik K. (tevfik@itefix.no)
#

use Getopt::Std;

do "parameters.pl";

($sec,$min,$hour,$mday,$mon,$year,$wday,$yday) = gmtime();

$year += 1900; 		#4-digit year
$mon++; 			# make relative to 1


sub MakeLogrepDir {
	my $dir = shift;
	mkdir ($dir) if !(-e $dir);
}

mkdir ($rootpath);
mkdir ($progdir);
mkdir ($logdir);
mkdir ($webdir);
mkdir ("$logdir/logrep"); # for logging of logrep operations

$i = 0;

foreach (@nodes) {

	$system = $nodes [$i][0];
	$node = $nodes [$i][1];
	$i++;
	
	# Log directories
	mkdir ("$logdir/$system");
	mkdir ("$logdir/$system/$node");
	mkdir ("$logdir/$system/$node/$year");
	mkdir ("$logdir/$system/$node/snapshot");

	# Web directories
	mkdir ("$webdir/$system");
	mkdir ("$webdir/$system/$node");
	mkdir ("$webdir/$system/$node/daily");
	mkdir ("$webdir/$system/$node/snapshot");
}

	






