#############################################################################
#
# LOGREP - Logfile Extraction And Reporting System                          
# Copyright (C) 2002 Tevfik Karaglle                                   
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
#
#############################################################################

#########################################################
#
# Logrep server parameters - Customize for your site !
# v1.9 - Examples for -s option are added, Dec 2002, TK
# v1.8 - Support for iptables, Dec 2002, TK
# v1.7 - Support for exchange, pix and ipchains, Nov 2002, TK
# v1.6 - Support for Syslog & Firewall-1, oct 2002, TK
# v1.5 - Favorite graphs and reports, oct 2002, TK
# v1.4 - Support for Logrep server on Linux, oct 2002, TK
# v1.3 - Support for NT Eventlogs, sep 2002, TK
# v1.2 - Support for Apache, sep 2002, TK 
# v1.1 - Support for IIS, sep 2002, TK
# v1.0 - Initial template, sep 2002, Tevfik K. (tevfik@itefix.no)

# rootpath: Root directory for -logrep- system
$rootpath = "d:/logrep";

# progdir: logrep programs, perl scripts
$progdir = "$rootpath/prog";

# webrootdir: root directory for web reports, must be available via  en web server
$webdir = "$rootpath/web";

# logdir: root directory for logfiles
$logdir = "$rootpath/log";

# keyfile: private key file for public key authentication, NULL passphrase
# Keep this file under strict control and monitor usage !
$keyfile = "$progdir/rsakey-logrep";

# login: local user ident on logrep nodes
$login = "xferuser";

# Logrep nodes on your site
# <system name>, <ip-address>, [ optional <subset list of parameters>]
# 	<system name> can be 
#		"snort", "squid", "postfix", "apache", 	"iis", 	"iscan", "ntevent", 	
#		"syslog", "firewall1", "exchange", "ipchains", "pix", "iptables"
#	<subset list of parameters> can be a subset of analyse parameters (see @dim array in each module)
#	values should be comma separated

@nodes = (

	[ "apache",	"10.10.10.1" ],
	[ "snort",	"10.10.10.1" ],
	[ "snort",	"10.10.10.11", "from,to,event" ],
	[ "squid",	"10.10.10.1" ],
	[ "squid",	"10.10.10.1", "month,day,from" ],
	[ "postfix",	"10.10.10.1" ],
	[ "iscan",	"10.10.10.1" ],
	[ "iis",	"10.10.10.1" ],
	[ "ntevent",	"10.10.10.1" ],
	[ "syslog", 	"10.10.10.1" ],
	[ "firewall1", 	"10.10.10.1" ],
	[ "exchange", 	"10.10.10.1" ],
	[ "ipchains", 	"10.10.10.1" ],
	[ "pix", 	"10.10.10.1" ],
	[ "iptables", 	"10.10.10.1" ],

	
#	[ "snort",	"10.10.10.11" ],
#	[ "snort",	"10.10.10.12" ],
#	[ "squid",	"10.10.10.2" ],
#	[ "squid",	"10.10.10.21" ],
#	[ "postfix",	"10.10.10.3" ],
#	[ "postfix",	"10.10.10.31" ],
#	[ "iscan",	"10.10.10.4" ],
#	[ "iscan",	"10.10.10.41" ],
#	[ "iscan",	"10.10.10.42" ],
#	[ "iscan",	"10.10.10.43" ],
#	[ "iis",	"10.10.10.5" ],
#	[ "iis",	"10.10.10.51" ],
#	[ "apache",	"10.10.10.6" ],
#	[ "apache",	"10.10.10.61" ],
#	[ "apache",	"10.10.10.62" ],
#	[ "ntevent",	"10.10.10.7" ],
#	[ "ntevent",	"10.10.10.71" ],
#	[ "exchange",	"10.10.10.8" ],
#	[ "exchange",	"10.10.10.81" ]
#	[ "ipchains",	"10.10.10.9" ],
#	[ "ipchains",	"10.10.10.91" ],
#	[ "pix",	"10.10.10.10" ]
#	[ "pix",	"10.10.10.101" ]



);

# Your favorite graphs
# <system name>, <ip address>, <parameter 1>
#	look module-<system name>.pl for parameter list
#
# You can define as many graphs as you can :-)

@favoriteGraphs = (

	[ "snort",	"10.10.10.1", "from" ],
	[ "iscan",	"10.10.10.1", "virus" ]

);

# Your favorite reports
# <system name>, <ip address>, <parameter 1>, <parameter 2>
#	look module-<system name>.pl for parameter list
#
# You can define as many reports as you can :-)

@favoriteReports = (

	[ "snort",		"10.10.10.1", "from", "to" ],
	[ "snort",		"10.10.10.1", "event", "from" ],
	[ "squid",		"10.10.10.1", "from", "month" ],
	[ "iscan",		"10.10.10.1", "virus", "from" ],
	[ "iis",		"10.10.10.1", "result", "day" ],
	[ "postfix",		"10.10.10.1", "to", "status" ],
	[ "apache",		"10.10.10.1", "day", "from" ],
	[ "ntevent",		"10.10.10.1", "event", "source" ]

);
